create_pin_port#
- Hfss3dLayout.create_pin_port(name, x=0, y=0, rotation=0, top_layer=None, bottom_layer=None)[source]#
Create a pin port.
- Parameters:
- name
str
Name of the pin port.
- x
float
,optional
X-axis position of the pin. The default is
0
.- y
float
,optional
Y-axis position of the pin. The default is
0
.- rotation
float
,optional
Rotation of the pin in degrees. The default is
0
.- top_layer
str
,optional
Top layer of the pin. The default is
None
, in which case the top layer is assigned automatically.- bottom_layer
str
Bottom layer of the pin. The default is
None
, in which case the bottom layer is assigned automatically.
- name
- Returns:
ansys.aedt.core.modules.boundary.BoundaryObject3dLayout
True
when successful,False
when failed.
References
>>> oEditor.CreatePin